WordPress.org

Support

Support » How-To and Troubleshooting » FTP and AutoUpdate trouble

FTP and AutoUpdate trouble

  • I don’t recall if the wordpress install originally asks for an ftp user but if it did I didn’t set it up to begin with.

    I want to use it now so I can autoupdate plugins and wp versions.

    I installed proftp and created a user, wpftp. When I go to autoupdate it can log in with the ftp user and password but it fails to create directories. I created the directory manually but then it was unable to remove the old plugin.

    Anyone able to help?

Viewing 3 replies - 1 through 3 (of 3 total)
  • You’ll need to chmod all of the files and directories you want to update so that they can be writable by the ftp user.

    jesszen

    @jesszen

    I did a test with one of my pluggin directories.. chmod 777 for everything inside of it. Same thing happens. It failes when it says unable to remove old plugin and now the plugin is not available in my plugin menu.

    SteveSmith1983

    @stevesmith1983

    Is the actual plugin diretory itself 777?

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘FTP and AutoUpdate trouble’ is closed to new replies.